/* =================================================== */
/* CSS for control sap.ui.unified/FileUploader.control */
/* =================================================== */

.sapUiFup {
	display: inline-block;
}

.sapUiFupInp .sapUiFUM {
	top: 2px;
}

.sapUiFupGroup {
	display: table;
}

.sapUiFupGroup > div {
	display: table-row;
}

.sapUiFupGroup > div > div {
	display: table-cell;
	vertical-align: top;
}

.sapUiFupGroup > div > div:last-child {
	padding-left: 1px;
}

.sapUiFup > form {
	display: inline-block;
}

.sapUiFup > form > div {
	position: relative;
	display: inline-block;
}

.sapUiFup.sapUiFUM > form > div {
	top: 2px;
}

.sapUiFupInputMask {  /* the element masking the real (but hidden) file input, so the clickable area has exactly the same size as the visible control */
	display: inline-block;
	position: absolute;
	top: 0;
	left: 0;
	bottom: 0;
	right: 0;
	overflow: hidden;
}

.sapUiFupInputMask > input { /* the real, but hidden file input */
	position: absolute;
	opacity: 0;
	top: 0px;
	bottom: 0px;
	cursor: pointer;
	cursor: hand;
	left: -4em;       /* avoid the input field behind the file chooser */
	font-size: 500px; /* to make the field high enough for most themes; for themes with very large fonts this needs to be increased further */
	width: 5000px;
}

.sapUiFupInputMask > input[disabled],
.sapUiFupInputMask > input:disabled {
	cursor: default;
}

html[data-sap-ui-browser^="ie"] .sapUiFup > form input {
	display: block;
}

html[data-sap-ui-browser^="sf"] .sapUiFupInputMask > input, /* for Safari and Chrome the file input is not clickable with opacity "0" */
html[data-sap-ui-browser^="cr"] .sapUiFupInputMask > input {
	position: relative;
	left: auto;
	opacity: 0.01;
}

html[data-sap-ui-browser^="cr"] .sapUiFupInputMask > input {
	float: right;
}
